Get an ad
curl --request GET \
--url https://api.kavenio.com/v1/ads/{adId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kavenio.com/v1/ads/{adId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kavenio.com/v1/ads/{adId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"ad": {
"_id": "<string>",
"name": "<string>",
"adType": "<string>",
"goal": "<string>",
"isExternal": true,
"budget": {
"amount": 123,
"type": "<string>"
},
"metrics": {
"spend": 123,
"impressions": 123,
"reach": 123,
"clicks": 123,
"ctr": 123,
"cpc": 123,
"cpm": 123,
"engagement": 123,
"conversions": 123,
"costPerConversion": 123,
"actions": {},
"actionValues": {},
"purchaseValue": 123,
"roas": 123,
"lastSyncedAt": "<string>"
},
"promotedObject": {},
"creative": {
"thumbnailUrl": "<string>",
"imageUrl": "<string>",
"videoId": "<string>",
"videoUrl": "<string>",
"objectType": "<string>",
"objectStoryId": "<string>",
"effectiveObjectStoryId": "<string>",
"effectiveInstagramMediaId": "<string>",
"instagramUserId": "<string>",
"instagramPermalinkUrl": "<string>",
"mediaUrls": [
"<string>"
],
"body": "<string>",
"googleHeadline": "<string>",
"googleDescription": "<string>",
"linkUrl": "<string>",
"pinterestImageUrl": "<string>",
"pinterestTitle": "<string>",
"pinterestDescription": "<string>"
},
"targeting": {},
"schedule": {
"startDate": "<string>",
"endDate": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"platformAdId": "<string>",
"platformAdAccountId": "<string>",
"platformCampaignId": "<string>",
"platformAdSetId": "<string>",
"campaignName": "<string>",
"adSetName": "<string>",
"platformObjective": "<string>",
"optimizationGoal": "<string>",
"platformAdAccountName": "<string>",
"platformCreatedAt": "<string>",
"bidStrategy": "<string>",
"bidAmount": 123,
"roasAverageFloor": 123,
"rejectionReason": "<string>"
}
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Ads
Get an ad
Returns one Kavenio-created or provider-derived ad.
GET
/
v1
/
ads
/
{adId}
Get an ad
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Query Parameters
Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Was this page helpful?
⌘I